## curves 0.8.7

=== debian/changelog ===
curves (0.8.7) frozen; urgency=low

  * Relinked to use libstdc++2.9.

 -- Marc Singer <elf@netcom.com>  Tue, 17 Nov 1998 16:46:06 -0800

curves (0.8.6) unstable; urgency=low

  * Discovered abberation in the original source package.  It's way too
    big.
  * Fixed a bug displaying in RXVT.

 -- Marc Singer <elf@netcom.com>  Wed, 21 Oct 1998 17:34:59 -0700

curves (0.8.5) unstable; urgency=low

  * Added manual pages.  Fixed dependency generation.  Prep'd for first
    release to debian master.

 -- Marc Singer <elf@netcom.netcom.com>  Sun,  6 Sep 1998 16:29:30 -0700

curves (0.8.4) unstable; urgency=low

  * Patched for portability.  vsnprintf and assert_ are perhaps the most
    significant changes.
  * Removed test -e from Makefile.

 -- Marc Singer <elf@florence.straylight.com>  Mon, 27 Jul 1998 18:03:49 -0700

curves (0.8.3) unstable; urgency=low

  * First debianized version of curves.

 -- Marc Singer <elf@florence.straylight.com>  Mon,  6 Jul 1998 23:24:44 -0700

Local variables:
mode: debian-changelog
End:
