=== debian/control ===
Source: curves
Section: devel
Priority: optional
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 2.4.1.2

Package: curves
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cvs
Description: colorful console interface for CVS version control
 CurVeS performs two functions.  It provides a menu and command
 completion interface to CVS so that inexperienced users can learn the
 features of CVS without documentation.  This includes the creation of
 some meta-features built upon standard CVS commands that commonly are
 used together.  The second function of CurVeS is to provide visual
 presentation of a project directory so that the status of each file
 is comprehensible at a glance.  CurVeS uses color, when available, to
 accent the file classification marks.
