## curves 0.8.15

=== debian/changelog ===
curves (0.8.15) unstable; urgency=low

  * Now builds on IA64.

 -- Marc Singer <elf@buici.com>  Sat, 20 Oct 2001 12:29:38 -0700

curves (0.8.14) unstable; urgency=low

  * Satisfied lintian.  Using all debhelper commands.

  * Returned default color scheme to be best for X.

 -- Marc Singer <elf@buici.com>  Thu, 06 Sep 2001 02:22:42 -0000

curves (0.8.13) unstable; urgency=low

  * Made changes for the sake of gcc 3.0.  

  * Using mkstemp instead of tmpnam in order to eliminate a compiler
    warning.  

  * Default color scheme is monochrome because, for some unknown
    reason, the XTerm color scheme doesn't work anymore.   There are
    many cosmetic things broken in woody right now.  I'm making this
    harmless change in case the color thing isn't fixed.

 -- Marc Singer <elf@buici.com>  Sun, 22 Jul 2001 18:53:42 -0700

curves (0.8.12) unstable; urgency=low

  * Fixed the rxvt problem.  There was a terminfo operator that wasn't
    being processed (for constants).  bug #70424. 
    
  * This makes curves free of bugs.
    
 -- Marc Singer <elf@buici.com>  Sun,  8 Apr 2001 13:53:42 -0700

curves (0.8.11) testing unstable; urgency=low

  * Checking for the presence of the PAGER environment variable.  It will
    prevail in absence of a preference in .curves.  Preferences in .curves
    have the highest priority, #bug 41845 

  * Fixing some build problems caused by the new C library headers, 
    bug #88086
    
  * Moved man pages and doc files to share, bug #91138
  
 -- Marc Singer <elf@buici.com>  Sun, 25 Mar 2001 15:48:32 -0800

curves (0.8.10) unstable; urgency=low

  * Fixed the menu needs clause to be text instead of X11, bug #62134.

 -- Marc Singer <elf@buici.com>  Thu, 11 May 2000 00:27:34 -0700

curves (0.8.9) frozen unstable; urgency=low

  * Done curves updates the frozen potato.
  * Removed StatusHash option by default since the patch hasn't been
    adopted, closes: bug #29997.
  * Previous release closes: bug #53367.  
  
 -- Oscar Levi <elf@buici.com>  Thu, 13 Jan 2000 23:37:10 -0800

curves (0.8.8) unstable; urgency=low

  * Relinked to use libstdc++2.10.
  * Problems with autoconf caused me to remove the const and inline
    checks. 
  
 -- Oscar Levi <elf@buici.com>  Wed, 12 Jan 2000 14:45:10 -0800
