=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: curves
 Section: devel
 Priority: optional
-Maintainer: Marc Singer <elf@debian.org>
-Standards-Version: 2.4.1.2
+Maintainer: Oscar Levi <elf@debian.org>
+Standards-Version: 3.5.6.0
+Build-Depends: debhelper (>= 3.0.40), g++
 
 Package: curves
 Architecture: any
