## curves 0.8.19

=== debian/changelog ===
curves (0.8.19) unstable; urgency=low

  * Changing to debian standards release 3.6.1.

 -- Marc Singer <elf@buici.com>  Wed,  1 Oct 2003 23:36:36 -0700

curves (0.8.18) unstable; urgency=low

  * Fixed old bug where curves would assert, and may eventually segment
    fault, when browsing an empty directory. (closes: #147605)
  * New upload so that the latest gcc-3 is used. 

 -- Marc Singer <elf@debian.org>  Wed, 20 Aug 2003 21:39:49 -0700

curves (0.8.17) unstable; urgency=low

  * gcc-3.2 preprocessor doesn't allow string pasting with class operator.
    Whatever.  This is fixed by changing the identifiers.  
    closes: bug #194888.

 -- Marc Singer <elf@buici.com>  Tue, 27 May 2003 09:33:37 -0700

curves (0.8.16) unstable; urgency=low

  * Supporting spaces and other special characters in controlled file
    names and directory names.  

 -- Marc Singer <elf@buici.com>  Tue, 27 Nov 2001 16:24:22 -0800
