=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: curves
 Section: devel
 Priority: optional
-Maintainer: Oscar Levi <elf@debian.org>
-Standards-Version: 3.5.6.0
+Maintainer: Marc Singer <elf@debian.org>
+Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 3.0.40), g++
 
 Package: curves
