=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules						-*- Makefile -*-
-#   $Id: rules,v 1.20 2001/09/07 03:12:55 elf Exp $
+#   $Id: rules,v 1.24 2003/05/27 17:07:02 elf Exp $
 #
 # written by Marc Singer
 # 3 July 1998
@@ -108,8 +108,14 @@
 # Perform full release build, binary and source and prerelease so that
 # we're ready for upload.  (elf target)
 
-.PHONY: fullrelease
-fullrelease: binary source prerelease
+.PHONY: fullrelease fullrelease_clean fullrelease_binary
+fullrelease: fullrelease_clean fullrelease_binary source prerelease
+
+fullrelease_clean:
+	-make distclean
+
+fullrelease_binary:
+	fakeroot debian/rules binary
 
 # Below here is fairly generic really
