## curves 0.8.19build1

=== debian/changelog ===
curves (0.8.19build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:24:29 +0000
